[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

svn-buildpackage fail



Hi all,

I solved this [1]

Now, update new version in changelog,

run svn-buildpackage and this fail,
used $ svn-buildpackage --svn-ignore

these are the errors;

1.-
dpkg-checkbuilddeps: warning: can not analyze the dependence libobasis34-en_us-math
dpkg-checkbuilddeps: warning: can not analyze the dependence libobasis34-en_us-base
dpkg-checkbuilddeps: aviso: no se puede analizar la dependencia libobasis34-en_us-binfilter
dpkg-checkbuilddeps: aviso: no se puede analizar la dependencia libobasis34-en_us-writer
dpkg-checkbuilddeps: aviso: no se puede analizar la dependencia libobasis34-en_us
dpkg-checkbuilddeps: aviso: no se puede analizar la dependencia libobasis34-en_us-calc
dpkg-checkbuilddeps: aviso: no se puede analizar la dependencia libobasis34-en_us-res

what is this?
yes, i use libreoffice out repos, downloaded directly from their page,

2.-
dpkg-source: fallo (fail): LC_ALL=C patch -t -F 0 -N -p1 -u -V never -g0 -E -b -B .pc/01_desktop_file_exec_F.patch/
< decibel-audio-player-1.07.orig.HEjami/debian/patches/01_desktop_file_exec_F.patch devolvió un estado de salida de error 1

This is a patch that is no longer necessary, is corrected in the new version.
I do?
Just delete it?

For not open another thread,

1.- how to update?
Standards-Version:
debhelper
compat

only change the numbers?

2.- how to update these in changelog?
example;

  * New upstream release
  * debian/control:
    - Standards-Version is 3.9.2, no changes needed.
    - Add python-imaging to depends.
  * Removed 01_desktop_file_exec_F.patch completely from debian/patches.

is necessary mentioned?
debhelper
compat

Please how?

Appreciated help :)

[1] http://lists.debian.org/debian-mentors/2011/09/msg00056.html

Leonardo.
-- 
L.J.Marín
Linux Debian User

Attachment: pgpg1zBs6xHId.pgp
Description: PGP signature


Reply to: